events.listen("recipes", function (e) {
  //fonction pour le bassin de mana
  function EssenceInBassinDeMana(Type, item) {
    e.custom({
      type: "botania:mana_infusion",
      input: {
        item: Type + ":" + item + "_seeds",
      },
      output: {
        item: Type + ":" + item + "_essence",
        count: 2,
      },
      mana: 100,
      catalyst: {
        type: "block",
        block: "mysticalagriculture:inferium_block",
      },
    });
  }

  EssenceInBassinDeMana("mysticalagriculture", "blazing_crystal");
  EssenceInBassinDeMana("mysticalagriculture", "energized_steel");
  EssenceInBassinDeMana("mysticalagriculture", "fluix");
  EssenceInBassinDeMana("mysticalagriculture", "compressed_iron");
  EssenceInBassinDeMana("mysticalagriculture", "spirited_crystal");
  EssenceInBassinDeMana("mysticalagriculture", "uraninite");
  EssenceInBassinDeMana("mysticalagriculture", "alfstein");
  EssenceInBassinDeMana("mysticalagriculture", "tanium");
  EssenceInBassinDeMana("mysticalagriculture", "awakened_draconium");
  EssenceInBassinDeMana("mysticalagriculture", "nitro_crystal");
  EssenceInBassinDeMana("mysticalagriculture", "steeleaf");
  EssenceInBassinDeMana("mysticalagriculture", "pig_iron");
  EssenceInBassinDeMana("mysticalagriculture", "slimesteel");
  EssenceInBassinDeMana("mysticalagriculture", "tinkers_bronze");
  EssenceInBassinDeMana("mysticalagriculture", "basalt");
  EssenceInBassinDeMana("mysticalagriculture", "limestone");
  EssenceInBassinDeMana("mysticalagriculture", "marble");
  EssenceInBassinDeMana("mysticalagriculture", "ruby");
  EssenceInBassinDeMana("mysticalagriculture", "sapphire");
  EssenceInBassinDeMana("mysticalagriculture", "hop_graphite");
  EssenceInBassinDeMana("mysticalagriculture", "cobalt");
  EssenceInBassinDeMana("mysticalagriculture", "rose_gold");
  EssenceInBassinDeMana("mysticalagriculture", "osmium");
  EssenceInBassinDeMana("mysticalagriculture", "fluorite");
  EssenceInBassinDeMana("mysticalagriculture", "refined_glowstone");
  EssenceInBassinDeMana("mysticalagriculture", "refined_obsidian");
  EssenceInBassinDeMana("mysticalagriculture", "knightmetal");
  EssenceInBassinDeMana("mysticalagriculture", "fiery_ingot");
  EssenceInBassinDeMana("mysticalagriculture", "starmetal");
  EssenceInBassinDeMana("mysticalagriculture", "niotic_crystal");
  EssenceInBassinDeMana("mysticalagriculture", "cyanite");
  EssenceInBassinDeMana("mysticalagriculture", "yellorium");
  EssenceInBassinDeMana("mysticalagriculture", "draconium");
  EssenceInBassinDeMana("mysticalagriculture", "rock_crystal");
  EssenceInBassinDeMana("mysticalagriculture", "hepatizon");
  EssenceInBassinDeMana("mysticalagriculture", "queens_slime");
  EssenceInBassinDeMana("mysticalagriculture", "manyullyn");
  EssenceInBassinDeMana("mysticalagriculture", "certus_quartz");
  EssenceInBassinDeMana("mysticalagriculture", "sky_stone");
  EssenceInBassinDeMana("mysticalagriculture", "aquamarine");
  EssenceInBassinDeMana("mysticalagriculture", "ender_biotite");
  EssenceInBassinDeMana("mysticalagriculture", "ironwood");
});
